Subject: Re: [lojban] Chemistry

From: Pierre Abbat <[email-masked]>
Date: Fri, 27 Apr 2001 15:49:43 -0400

On Fri, 27 Apr 2001, Bob LeChevalier (lojbab) wrote:
>I think you have it exactly right: chemical names are best expressed using 
>Mex, and Mex almost certainly is robust enough to handle it. You need to 
>define operators for the various forms of chemical interaction (we'll let 
>the chemists do that - there are plenty of ways to make operators). A 
>chemical formula is nothing more than a mathematical expression.

Using mex sounds good. I think that we'll need to start using some cmavo beyond
CV and CVV for this, as cmavo space is pretty full, and most of the chemistry
operators are different from mathematical ones.

The atoms of mathematical expressions are numbers; those of chemical
expressions are atoms, as well as numbers. Elements have names which are
brivla; they also have symbols, which are one or two letters. Then there are
chemical groups, such as CHO and NH2 and CN, which have their own names. Any
idea how to encode all this in mex?

phma